Package helma.scripting.rhino.debug

# Class Profiler

java.lang.Object
helma.scripting.rhino.debug.Profiler

All Implemented Interfaces:
  `org.mozilla.javascript.debug.Debugger`

public class Profiler extends Object implements org.mozilla.javascript.debug.Debugger

## Constructor Summary

Constructors
Constructor
Description
`Profiler()`
Create a new profiler.

## Method Summary

Modifier and Type
Method
Description
`org.mozilla.javascript.debug.DebugFrame`
`getFrame(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript script)`
Implements getFrame() in interface org.mozilla.javascript.debug.Debugger
`String`
`getResult()`
`void`
`handleCompilationDone(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript script, String source)`
Implementws handleCompilationDone in interface org.mozilla.javascript.debug.Debugger

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Profiler

public Profiler()
Create a new profiler.

## Method Details

### handleCompilationDone

public void handleCompilationDone(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript script, String source)
Implementws handleCompilationDone in interface org.mozilla.javascript.debug.Debugger

Specified by:
  `handleCompilationDone` in interface `org.mozilla.javascript.debug.Debugger`

### getFrame

public org.mozilla.javascript.debug.DebugFrame getFrame(org.mozilla.javascript.Context cx, org.mozilla.javascript.debug.DebuggableScript script)
Implements getFrame() in interface org.mozilla.javascript.debug.Debugger

Specified by:
  `getFrame` in interface `org.mozilla.javascript.debug.Debugger`

### getResult

public String getResult()